#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  libqalculate-5.10.0

- Next

  libseccomp-2.6.0

- Up
- Home

# libqmi-1.38.0

## Introduction to libqmi

The libqmi package contains a GLib-based library for talking to WWAN modems and devices which speak the Qualcomm MSM Interface (QMI) protocol.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://gitlab.freedesktop.org/mobile-broadband/libqmi/-/archive/1.38.0/libqmi-1.38.0.tar.gz

- Download MD5 sum: 4ed2c13150611007f56f84b896449d46

- Download size: 4.2 MB

- Estimated disk space required: 75 MB (with tests)

- Estimated build time: 0.4 SBU (Using parallelism=4; with tests)

### libqmi Dependencies

#### Required

GLib-2.88.0 (GObject Introspection recommended) and libgudev-238

#### Recommended

libmbim-1.34.0

#### Optional

GTK-Doc-1.36.1, help2man, and libqrtr-glib

## Installation of libqmi

Install libqmi by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..                 \
          --prefix=/usr            \
          --buildtype=release      \
          -D bash_completion=false \
          -D qrtr=false            \
          -D man=false             &&

    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D bash_completion=false`: Use this option if the external bash-completion package is not installed.

`-D man=false`: Use this option if the external help2man package is not installed.

`-D qrtr=false`: This switch disables support for the QRTR protocol which needs the external libqrtr-glib package.

## Contents

Installed Programs: qmicli, qmi-firmware-update, and qmi-network
Installed Libraries: libqmi-glib.so
Installed Directories: /usr/include/libqmi-glib

### Short Descriptions

qmicli | is a utility used to control QMI devices
qmi-firmware-update | is a utility used to perform firmware updates on QMI devices
qmi-network | is a utility used for simple network management of QMI devices
`libqmi-glib.so` | contains API functions for talking to WWAN modems and devices which speak the Qualcomm MSM Interface (QMI) protocol

- Prev

  libqalculate-5.10.0

- Next

  libseccomp-2.6.0

- Up
- Home